﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Path = System.IO.Path;
using System.Xml;

namespace xamGridXmlFiltering
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            string filePath = Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location) + "\\test.xml";
            XmlDocument doc = new XmlDocument();
            doc.Load(filePath);
            Node= doc.DocumentElement;

            this.DataContext = this;

        }

        private XmlNode _node ;

        public XmlNode Node
        {
            get { return _node; }
            set { _node = value; }
        }

       



    }
}
